Page 1

asterner The Easterner

The_Easterner

@EasternerOnline

Eastern Washington University’s Independent Student Newspaper

Wednesday, February 14, 2018

www.EasternerOnline.com

Page 8

From Italy to Cheney Mckenzie Ford for The Easterner

Volume 101, Issue 16

Tyler Harvey: from walk-on to basketball royalty

Former professor mounts bid for Congress Page 3

Bailey Monteith for The Easterner

Page 14


2 | The Easterner

Volume 101, Issue | Feb 14, 2018 Volume 101, Issue 1616 | Feb 14, 2018

Editor in Chief

Brandon Cline 509.359.7010 easterner.editor@ewu.edu

Managing Editor

Logan Stanley easterner.mngeditor@ewu.edu

3 News | 6 Police Beat | 7 Entertainment | 8 A&E | 11 Sports

Easterner Asks:

Chief Copy Editor

Amanda Haworth easternercopy@gmail.com

News Editor

Josh Fletcher easterner.news@gmail.com

Sports Editor

Michael Brock easterner.sports@gmail.com

Kyle McMurrich, Junior

Arts & Entertainment and Features Editor

Multimedia Editor

Audrey Seda easterner.social@gmail.com Andrew Watson easterner.photo@gmail.com

Social Media Director

Richard Clark IV easterner.online@gmail.com

Ike Gathers, Junior

“I’m looking forward to just having a place to hang out with my friends and more options to eat.”

Dayana Morales easterner.aef@gmail.com

Art Director

“New food definitely, maybe a new place to do homework and just something new for the whole campus cause I know Patterson is the newest building on campus besides the PUB.”

Edith Clario, Junior

What are you looking forward to most from the PUB renovations? “The community at Eastern, when the PUB was open, had a lot more cohesiveness. I met a lot of people from different majors in the PUB. The food options are going to be bomb, too!”

Mirai OC, Freshman

“Just to see what it looks like. I heard there is going to be a new food court and restaurant, so I am excited about that.” Jack Austin, Freshman

Andrei Leonardi, Freshman

Student Photo Corner

Copy Editor Reporters

Sam Jackson Jeremy Burnham Katherine Senechal

Graphic Designer Gail Powers

Photographers Mckenzie Ford Bailey Monteith

Carleigh Hill chill26@ewu.edu

“Just more restaurants, there’s not many places to eat on campus. You either go to Tawanka or the Roost and Einsteins in the morning, so having more places to eat and spend a-la-carte will be nice.” Turnbull Pines

Senior Jalynn Moser submitted this photo “A sample of fall colors taken while hiking somewhere between Turnbull and Fishtrap. It was a chilly autumn morning while my friend and I blazed through unbeaten paths trying to find a couple of unsuspecting deer at the end of the hunting season. We never saw any, but we did see the beautiful landscape that canvasses the Pacific Northwest and that made the trip worth it in the end.”

Taylor Waring

Faculty Adviser

“Honestly, I don’t even really know what’s going on but I heard there is going to be a Panda Express, so that’s what I’m excited about.”

Our Mission The mission of The Easterner is to inform the students, faculty, staff and nearby residents of Eastern Washington University of the governance, activities and views of the campus while providing a learning environment for students interested in journalism and related fields. Our main goal is to publish high-quality news content to the community of Eastern Washington University.

Circulation The Easterner publishes a weekly print version as well as web content during the week at http://www.easterneronline. com. The Easterner is distributed throughout the Cheney campus and business district as well as Riverpoint and various Spokane businesses. If you would like the Easterner to be distributed at your business call the Advertising Department at 509-359-7010.

Corrections The Easterner never knowingly publishes inaccuracies. If any error is found, The Easterner is obligated to correct the error as soon as possible, regardless of the source of the error. The Easterener does not remove any editorial content from easterneronline.com. However, if there is a factual inaccuracy in a story, the editors will run a correction or an update as needed.

Submission Guidelines

To submit photos to The Easterner, attach the largest filesize in an email to the Art Director at easterner.photo@ gmail.com, accompanied by your first and last name, photo name and no more than 50 words describing your photograph. The picture does not have to correlate with any content being printed the week of. All submissions must be received by Monday night the week you would like it to be published. Photos must be appropriate and not include obscenities.


The Easterner | 3

Feb 14, 2018 | Volume 101, Issue 16

News

Former EWU professorturned-Congressional candidate brings campaign to Cheney Democrat Lisa Brown works to build grassroots movement in bid to upset Rep. Cathy McMorris Rodgers in November Brandon Cline Editor in Chief The 2018 midterm elections may not be taking place until November, but Congressional campaigns can never start too early, as candidate and former EWU professor Lisa Brown held court at the Wren Pierson Community Center on Sunday night in a town hall-style event. Brown, a Democrat, is challenging longtime Republican Rep. Cathy McMorris Rodgers for Washington’s 5th Congressional seat in the U.S. House of Representatives. Brown taught economics at EWU from 1981 to 2001, and served in the Washington State Senate from 1997 to 2013, holding the position of Senate Majority Leader from 2005 onward. Most recently, Brown was the chancellor of the Washington State University campus in Spokane, holding the position from 2013 until August 2017. During her time as chancellor, Brown oversaw the creation of a public medical school in Spokane, as well as the formation of the WSU College of Medical Sciences. Over a dozen topics were brought up at the event, which was moderated by former Cheney Mayor Tom Trulove. Much of the conversation centered around dealing with infrastructure, protecting and reforming social services, highlighting the effects of global warming and climate change have on

Bailey Monteith for The Easterner Lisa Brown adresses a crowd Sunday night at the Wren Pierson Community Center. Brown would be the first Democrat to win Washington’s 5th Congressional District since 1992.

the environment and the farming economy, and finding bipartisan solutions between the two major political parties. Agricultural issues were at the forefront of the forum, with Brown pointing out that no representative from Washington, Oregon, Idaho or Montana was currently serving on the House Agriculture Committee. Rep. Tom Foley represented the 5th Congressional District for 30 years from 1965-1995—and was the Speaker of the House for those final six years—and chaired of the House Agriculture Committee from 1975-1981, ensuring that farming issues relevant to eastern Washington would not be forgotten. Brown said she would “welcome” the opportunity to serve on that committee if elected to the House, and has held agriculture roundtables to better understand the concerns from the farming community. She’s heard concerns about the Trump Administration’s policy on country-bycountry trade agreements rather than multilateral trade agreements-the current safety net on crop insurance-and the impact climate change has on agriculture. “We certainly need a representative in Congress who advocates for research and supports the kinds of policies that would not just be a denier and act like there’s no problem, but would start to engage with each sector—agriculture and others—to figure out where we go from here,” Brown said.

Brown also brought up the issue of student loan debt, and said that advocating to create relief for students and making highereducation more affordable is at the top of her list of priorities if elected to Congress. “The student loan debt load has risen to over a trillion dollars, and two-thirds of it is held by women,” said Brown. “If we can refinance our homes and our cars, why should it be that there can be no refinancing of student loan debt? That’s definitely something [Congress] should address.” The topic of agriculture came up throughout the forum, as Brown noted that it plays a large part both economically and culturally in the region. But Brown also believes that the agriculture sector is diversifying and changing, and that it isn’t as homogenous as some might think. “We have an agriculture sector that is [made up] of large farmers, but also smaller farmers and specialty crops,” said Brown. “There’s a whole new generation of younger farmers coming into the business … so I think that continues to be a source of employment, but it’s more than [just] employment. It’s a vital cultural part of our economy and our way of life, as well.” Brown said that besides working on agricultural issues in the state legislature, one of the issues she worked on was providing competitive incentives for the motionpicture industry by helping to establish the

Motion Picture Competitiveness Program. The program aims to help support local film projects as well as providing incentives for out-of-state productions to shoot their projects in the state, such as “Z Nation,” a post-apocalyptic television show airing on the Syfy channel that films most of its episodes in the Spokane region. Brown says the program, which was renewed for another 10 years in 2017, gives the region a “creative” economy sector. A Democrat has not been elected to represent the 5th Congressional District since Foley was last re-elected in 1992, and Brown knows she faces an uphill battle. But Brown’s campaign has already raised more money than any of McMorris Rodgers’ recent challengers, and her campaign has raised the most money of any candidate challenging an incumbent in Washington’s 10 Congressional Districts. Brown has also received research and organizational assistance from the national Democratic Congressional Campaign Committee, but emphasized that local efforts will be what makes or breaks this election. “The essence of what will [help us] win this race is the energy and momentum right here on the ground and the thousands of people that have already stepped up and said that they want to get engaged and be a part of this,” Brown said. •


4 | The Easterner

Volume 101, Issue 16 | Feb 14, 2018

News Engineering Department projects keep raising the bar Colleen Ford Contributor The sky is hardly the limit for what the Engineering Department of EWU will do for its students’ projects and dreams. Following the success and publicity of their 3-D printed prosthetic arm in January, the faculty and staff are eager to show students just how much there is to offer through EWU’s Engineering Department. According to Department Chair of Mechanical Engineering, Dr. Martin Weiser, getting involved in activities and opportunities outside of the classroom is vital to learning and making important connections. Whether through capstones, clubs or outreach opportunities, students who choose to participate have the opportunity to see their wildest ideas come to fruition. “I always tell our engineering students,” Weiser said, “‘What’s going to make you different from the other thousands of students that graduated this year?’” Capstone projects at EWU can be done either internally or through an industry and are required for graduation in the Engineering Department. Recent capstone projects include working with Lighthouse for the Blind in Spokane to develop real world office tools for blind factory workers. These experiences are designed to give students the opportunity to work on real world problems and discover their own solutions. In addition, capstone teams have partnered up with Caterpillar to develop a plan allowing forklifts to retrieve smaller amounts of material instead of retrieving an entire pallet. The resulting prototype was a ‘Helping Hand’ platform and arm which would be carried by the forklift to wherever items needed to be picked up. Capstone projects are proposals submitted by students, faculty or industries which are then voted on while considering the cost, interest and resources related to it. Dr. Matthew Michaelis is an Assistant Professor in Mechanical Engineering who is largely involved with many of the capstone projects in the department. Michaelis said the projects provide students with skills in teamwork, design, analysis, resume crafting and experience. About one-third of

current capstone projects in the Engineering Department are student generated, one third are industry projects such as the Caterpillar projects, and one third are involved with other related departments. EWU’s Engineering Department does not keep to itself by any means. Various projects are not related to either capstone or club limits and can be generated by either the department or an outside entity. In the case of the prosthetic arm, Spokane Public Schools approached EWU with the intent of asking for some help and ideas to solve their problem. A team led by Assistant Professor Dr. Robert Gerlick, Department Courtesy of EWU Rocketry Group Technician Frank De Abreu EWU engineering students in Brazil for a rocket competition. The group won third place last year in a and senior Shannon Kellam international collegiate rocket launch competition. printed and assembled the arm before presenting it to Isaiah Strom perseverance, initiative and creativity which “It started with a dream idea,” Black in January. can be applied both in and out of the classroom. said, referring to the one-and-a-half year Although the 3-D arm made it to the news, Dr. Weiser said clubs—no matter where collaborative project between the capstone it is not the only project outside of capstones they are— are some of the best opportunities and club to build a rocket. and clubs. to start learning and making connections. Partnering with the physics department, Developing a humanoid robot The clubs in the Engineering Department the groups are continuing their work to programmed specifically to assist therapists are lucky to have an extremely active send the rocket up using their own design working with autistic children was a major department with faculty and staff who go and technology. project within the department last year. above and beyond for their students. Members of the club do not need to be The plan was headed up by Dr. Gerlick and Shannon Kellam, who was involved with rocket scientists—pun intended—to join or Dr. Donald Richter with help from former the prosthetic limb in January, is also president participate, however, as the club works with graduate student Jennifer Leaf. of the Rocketry Club at EWU. Kellam said it students of all majors in designing and flying After behavioral therapists were consulted is a tradition for the club to support various small level 1 rockets. on the needs of basic childhood development, outside projects in some form. The Rocketry Club is just one example of the robot was programmed to read and coach “It’s my hope that we can increase the passion and investment the Engineering kids through storybooks. According to the the inter-club relationships and projects,” Department has towards its students, whether project’s report for the American Society for Kellam said. through capstones, community outreach or Engineering Education, controls on a wireless The club is currently working with a clubs. Kellam said it all comes down to the tablet allowed the therapists to regulate the capstone group to develop and create ways to dedication of the advisors and faculty who go length and repetition of passages without mold carbon-fiber tubes for rocket airframes. above and beyond to provide for them. causing too much distraction on their part. The capstone worked with local engineering “We love what we do as engineers,” The project is currently on standby until company Triumph last year to examine their said Kellam. “There are a lot of passionate more interest is shown. Continuation of these complex carbon-fiber technology and are now people here.” projects relies on the students’ level of interest using the knowledge to develop their own. The faculty and staff in the Engineering and involvement. The more interest is shown, Senior Viktor Black, a member of the Department constantly reiterates the the easier it is to find funding. rocketry club for three years, is the project importance of applying real-world experience The aim of professors and faculty such manager for the Rocket Engine Capstone. The to the college experience. These projects are as Dr. Gerlick is to show students that these club is currently working on creating the visual just a taste of what is possible for students to projects are accessible to anyone. Through frame of the two-stage rocket while the capstone succeed at EWU. • participation, students develop work ethic, develops the internal engine components.


The Easterner | 5

Feb 14, 2018 | Volume 101, Issue 16

News

Campus living requirements draw mixed reviews from freshman Kaitlyn Engen Reporter EWU freshman and transfer students are well aware of the on-campus living requirement for first year students. As students also know, there is the waiver option, should they choose offcampus living. EWU Housing and Residential has based its live-on policy on research saying that on-campus living brings more academic and social benefits, as well as higher graduation rates, for first-year college students. However, the on-campus requirement may be lifted for the 2018-2019 school year. Heather Patton, Rachel Backell, and Momoko Hamasaka, all current EWU dormitory residents, had some insights into dorm life and how the live-on requirement impacts students. All three had positive things to say about life in the dormitories at EWU. “I like the fact that you get so much information and opportunities when you live in the dorm,” said Backell, a sophomore living in Louis Anderson Hall. “[Dorm life] makes you feel like you’re at camp.” Momoko Hamasaka, a junior international transfer student from Tokyo, Japan living in snyamncut Hall, said she felt very comfortable in the dorms because she felt that they were very safe and clean--a comfort she needed while in her transition across the world to an Englishspeaking country. “I am a very shy person by nature,” said Heather Patton, a freshman living in Louis Anderson Hall. “But living in the dorms and having the option to go to things definitely brought me out of my shell a little bit more.” For Backell, dormitory life challenged her to be creative. “It is weirdly wonderful because you have a lot of experiences where you’re like ‘well, only in dorm life is that gonna happen’— like you open up the door and you hear a Disney montage coming from the kitchen, and then someone comes up to your door five minutes later handing out cupcakes,” Backell said. Hamasaka has had a unique dormitory experience coming from a non-English speaking country and facing the discomfort

Bailey Monteith for The Easterner Freshman students are required to live on campus their first year of school unless they live in the area already. Some students have shown mixed reactions to the policy. of language barriers. “It is challenging to speak English,” said Hamasaka. “But my roommate introduced me to dorm people who actually helped me with my homework.” Although these individuals had some good comments to say about EWU residential life, they all agreed on one downside to living in the dormitories: the cost. The cost to live in the dormitories at EWU ranges from $6,228 to $7,832 total per year, not including the cost of a meal plan. To put this in perspective, tuition at EWU averages about $6,242 per year. All three girls noted that off-campus living would definitely be more cost effective, an important factor especially for students like Backell, who are paying their own way through school. With all the pros and cons of EWU residential life and cost of living, questions are raised for many first-year students: “Would it be better for me to live on or off campus?” and “Do I support or reject the live-on requirement?” “I was fine with [the live-on requirement]

because I knew there was the option to get a waiver to live off campus,” said Patton. Hamasaka also expressed the same relief in having choice of living arrangements. In response to next year’s live-on requirement removal, there are positives and negatives. Patton said lifting the requirement “will probably be good for students who can’t or don’t want to live on campus.” Backell said that while she agrees

removing the requirement policy would be good to give first-year students more choice, it could have the downside of less students being involved in campus. Patton and Backell have both made the decision to pursue off-campus housing for the 2018-2019 school year. Patton hopes to share an apartment with her current dormmate. Hamasaka has chosen to stay in snyamncut Hall next year. •

Looking to Adopt We are a family of two looking to expand our family through adoption. Thank you! Please contact us at: laurenandphillipadoption@gmail.com or at 253.677.0308 OR contact our adoption attorney, Mark Demaray at: 425.771.6453


The Easterner | 7

Feb 14, 2018 | Volume 101, Issue 16

EDITORS’ PICKS Radio: “The Howard Stern Show”

Entertainment

Loose Change & Filler Text

There is a reason Howard Stern is known as ‘the King of All Media,’ he is the greatest broadcaster ever. When Courtesy of Howard Stern you have to drive from Spokane Valley to Cheney three days a week, you need something to keep you entertained and happy. His show is available exclusively on Sirius XM Monday-Wednesday mornings. His interviews are the most in depth and psychological out there, and the show itself is always entertaining. Check out the movie “Private Parts” about his life to learn how he got to where he is. (Josh Fletcher)

News App: “The Athletic” The sports media outlet began in 2016 and started out exclusively in the cities of Cleveland, Toronto and Chicago. Now The Athletic has expanded nationwide, including San Francisco, New York City and Dallas Fort-Worth. The Athletic is a subscription-based news Courtesy of The Athletic site, starting out at $3.99 per month for a one-year subscription. The hook? No advertisements and no auto-play videos. In today’s clickbait world, The Athletic offers unique and analytical coverage hard to find on the web.

Andrew Watson for The Easterner

(Logan Stanley)

EWU Sustainability Club

Join in environmental prosperity, economic security and social justice on campus! Meet Tuesdays at 3pm in JFK Library L20! ewu.sustainability.club@gmail.com

Teach an activity! -Canoe -Gymnastics -English Riding -Softball -Basketball -Hockey -Lacrosse -Art -Theatre -Dance -Pottery Call us today! 1-800-997-4347

Come teach your passion this summer. Looking for males and females to join our staff at Tripp Lake camp for Girls in Poland, Maine. Positions run June to August. Apply online at www.tripplakecamp.com


8 | The Easterner

Volume 101, Issue 15 | Feb 7, 2018

A lifetime of experiences from an authentic Italian chef Erica Halbert Contributor One of the oldest restaurants in Cheney, Lenny’s has served traditional Italian cuisine for over 20 years. The restaurant’s menu is massive, with over 50 entrées alone. Entrées range from pastas and eggplant parmesan to stuffed cod. According to owner and chef John Maticchio, the large menu is intentional. “The menu is big, but I give lots of choices,” Maticchio said. “It’s a small town, and I want people to stop by more than once. And they do. They bring their family. They bring their friends. And they can always get something different.” Maticchio purchased Lenny’s 22 years ago. Prior to his purchase, Lenny’s was a drive-thru burger joint. Maticchio, with his wife and daughter, reopened Lenny’s as a specialty sandwich shop. The idea to serve Italian food came shortly after. “I told my wife and daughter, ‘Let’s run an Italian service one night a week,’ said Maticchio. “We just put up a couple signs in the parking lot.” Despite only having paper plates and paper utensils, the Italian service ended up being a hit. “My daughter came in the kitchen and said, ‘Dad, the place is getting filled up!’ said Maticchio. “They all wanted Italian food.” For service the following week, Maticchio invested in actual plates and silverware. “I didn’t want people eating on paper

A&E

Mckenzie Ford for The Easterner A sample plate of some of the entrée possibilities at Lenny’s. Every single recipe on the menu was created by owner/chef John Maticchio.

plates,” said Maticchio. “There was a line to get in. And people carried their own plates and silverware. I was so embarrassed.” Maticchio then worked on transitioning Lenny’s from a sandwich shop to a full-blown Italian restaurant. At the time, there wasn’t even a stove in the kitchen. “I told my wife and my daughter, let’s work hard and pay everything off,” Maticchio said. And that’s what the Maticchio’s did. They started opening seven days a week for breakfast, lunch and dinner. Once they paid off the building, they ended their breakfast service. Maticchio later decided to reduce the restaurant’s hours to only serve dinner. The family had their struggles opening in Cheney, however. “It was pretty hard in the beginning,” said Maticchio. “People really tried to chase me out. They were afraid I was going to take business away from the other little restaurants.” Business owners in the area would often report Lenny’s to the health department, and even sat in the restaurant’s parking lot trying to convince potential customers to eat at their own restaurants instead. “I was shocked, I couldn’t believe what these people were doing,” Maticchio said. After a while, the atmosphere suddenly changed and the business owners welcomed Lenny’s to Cheney. “Then suddenly, they realized, ‘That son of a b---- is going to stay here no matter what!’” Maticchio said. Since then, Lenny’s has been a staple to Cheney. Maticchio was voted Cheney Businessman of the Year, Lenny’s was

featured in the Spokesman-Review, and Cheney residents even held a parade in the restaurant’s honor. “It was a long road, but I knew what I was doing,” said Maticchio. “I had restaurants in Alaska, too. It’s all I knew how to do, so I wasn’t afraid.” Maticchio came to the United States in 1968. Prior to that, he was living in a refugee camp in Trieste, Italy, at 15 years old. It was there that he learned how to cook. “There were 12,000 people there,” said Maticchio. “I was working in the basement prepping meals.” Maticchio brought his love of cooking with him to the United States, where he sought to learn more. “I started as a dishwasher, and I kept pushing myself to do prep and to go around and help the cooks. But the chef said ‘No, you’re going to be a sous chef,’” Maticchio said. After a while working as a sous chef, Maticchio quit. He said he had learned all there was to learn at that restaurant, and he wanted to continue his search for knowledge elsewhere. Maticchio wasn’t interested in the money, just the learning experience. “I would go someplace and the chef would be a butthead and not show me anything, so I left,” said Maticchio. “I didn’t want to be there because he wouldn’t let me learn.” Maticchio’s experiences took him around the world, to Philadelphia, Florida, even South America, Alaska and finally, Cheney. While eating at a burger joint in Spokane, Maticchio met a fellow Italian man. The

man’s cousin, Lenny, was looking to sell his Cheney restaurant, and offered to show the place to Maticchio. The restaurant was so cheap that Maticchio offered a down payment on the spot. Every single recipe on the restaurant’s extensive menu was created by Maticchio. When he came to Cheney, there were no other Italian restaurants. “I took a chance,” said Maticchio, regarding the items he decided to put on the menu. “You’ve got to teach them how to eat it. Like eggplant. Or spinach cannelloni. You cannot please everyone.” Despite the various chicken, beef and fish dishes, the restaurant’s most popular items are the pastas. In the beginning, Maticchio made his own pastas, but found that it became too much work. “One time I served a lady, and she said, ‘This doesn’t look homemade,’ said Maticchio. “So I said, that’s enough, I’m going to buy pasta. The lady came back and I said, ‘How do you like it now?’ She said, ‘Oh I love it!’ You cannot please them all.” Many of the other menu items, such as the sauces and stuffings, are handmade. Lenny’s is located at 1204 1st St. The restaurant is open from 3 to 9 p.m. Wednesday through Saturday for dinner service, and is closed Sunday through Tuesday. Maticchio offers a 15 percent discount to all students, senior citizens and military members, as well as a free children’s spaghetti plate with every adult entrée purchased. •


The Easterner | 9

Feb 7, 2018 | Volume 101, Issue 15

A&E

Screamin’ Ink seeks to buck tattoo shop stereotype Sam Jackson Reporter Screamin’ Ink is a bustling, hightraffic tattoo shop whose goal is to give good customer service and maintain competitive prices. The shop is currently owned by artist Brynn Potts-Thorne, who has been tattooing professionally for six years and has owned Screamin’ Ink for the last two years after buying it from a good friend. Potts-Thorne describes the experience of owning the shop as exciting and doing pretty well, considering they stay very busy. There are four permanent artists, including Potts-Thorne, that work at Screamin’ Ink, while the previous owner guest spots there whenever he is in town. With that many hands on deck they are always welcoming new customers and walk-ins. For the first time ever, the artists at the shop will be offering a special for Valentine’s Day, also considered as the anti-Valentine’s Day special of $20 tattoos. “We have a sheet of kind of love and anti-love flash and you can choose a tattoo off of that flash at the size that it’s shown, you can pick a color too ...,” said Potts-Thorne. “It’s essentially the Friday the 13th special, only we’re kind of doing love sucks.” The vibe of the shop is considered laid back with a large age variation of clients. “We have clients that bring their kids, we just want to be a nice clean open environment to kind of get away from that dark atmosphere,” Potts-Thorne said. Potts-Thorne’s personal tattooing space is filled with oddities, inspired by the Ye Olde Curiosity Shop in Seattle. “I really like fossils and skulls, just like things that are kind of weird and interesting but still make you a little bit uncomfortable,” said Potts-Thorne. “Most people enjoy it, they like that there’s so much to look at. Some people sit here for four or five hours, so they enjoy having lots of stuff to spark a conversation and look at ...” The shop has one of the lowest minimums in town of $50 and an hourly rate of $100. “We like to make sure people feel like they’re getting a good price,” Potts-Thorne said.

Courtesy of Brynn Potts-Thorne Owner Brynn Potts-Thorne’s personal tattooing space is inspired by the Ye Olde Curiosity Shop in Seattle. Potts-Thorne has been tattooing profesionally for six years and has owned Screamin’ Ink for the last two years. As far as making an appointment, the shop has an open line of communication. Besides walking in or calling the shop while they are open, clients are encouraged to message their Facebook account because it goes straight to their phones even when they are not there. “This is just a place where everybody is welcomed and we really try to push our customer service to make everybody feel like they’re important to us, because they are,” Potts-Thorne said. Screamin’ Ink is located at 6518 N Nevada St. in Spokane and is open Tuesday through Saturday from 11 a.m. to 7 p.m. •


10 | The Easterner

Volume 101, Issue 15 | Feb 7, 2018

A&E 16th EWU Band Invitational draws high school bands and nationally recognized conductor Sam Jackson Reporter The EWU Band Invitational, which just celebrated their 16th year anniversary, was a free all-day event that featured EWU’s wind ensemble, a nationally recognized conductor and three regional high school bands as guests. The event runs deeper than just hosting a concert at the end of the night, it prepares high school students and EWU students for a future in music. Medical Lake High School, Mt. Spokane High School and Wenatchee High School were the three schools chosen to attend the event this year. The motive of the event is about education and outreach for the high school students and faculty of the music department at EWU. “The students get the chance to come on campus and see Eastern and see what it’s like to be in this college setting and play music at a college,” Don Goodwin said, EWU’s director of bands. “In our case of course it’s a recruiting tool for us, because we can bring them in here and show them everything ... ” The purpose of the event is not only for the high school bands attending but EWU students in the band department get to experience it from the opposite end. Some college

students previously attended the event when they went to high school and now they’ve gotten to see it from a different perspective. “Many of our students are education majors so they are watching us, then they themselves are learning to work with many of these bands,” said Goodwin. “So they are learning how to teach, they are learning how to curate an event like this and organize an event like this …” EWU faculty and guest conductor Bill Drury from the New England Conservatory of Music held clinics and master classes, and ended the day with a concert showcasing what they learned throughout the day. “[Drury] will conduct one of each of their songs on the program tonight so they get chance to work with a nationally recognized conductor,” said Goodwin. Though the Band Invitational has come to an end this year, the department holds many events like this throughout the year. The department invites students interested in music at all to be a part of the department in some way. “The band that plays is not all made up of music majors or minors,” said Goodwin. “Somewhere between 10 percent to 20 percent of the students up there are non-music majors. We encourage that … The involvement in any of our ensembles is open to anyone that has a background in music.” •

Courtesy of Wentao Xing Patrick Winters, director of the band, teaching a master class session.

Black Student Union aims to engage all students during Black History Month Kaitlyn Engen Reporter Ry-Yon Nixon and Taisa Bernard anticipate lots of education, engagement and excitement to come out of this year’s Black History Month. Nixon, Secretary of Africana Studies and Black Student Union (BSU) adviser, said the idea formulation for February’s celebration started as early as last July. The Month was planned under the overarching theme of “Setting the Record Straight.” “In today’s climate, it is ‘setting the record straight’ on the narrative, the historical events, and facts about Africana Studies, BSU and organizations like the NAACP,” Nixon said. In planning out the Month, Nixon teamed with other departments and organizations like the Multicultural Center, the Chicano Studies Program, the Women and Gender Studies Program and the Pride Center, to diversify the discussions lined up. “It helped to collaborate with other departments to get other perspectives. It

allowed us to reach out to community and add to the panel,” said Nixon.“We are opening it up to be more than just African-American. It’s not just black history, it’s American history.” Nixon saw Black History Month as a chance to integrate many other popular topics of discussion, such as feminism and intersectionality, into the central theme as well. “It’s like putting our whole lives into a month,” Bernard said, junior and BSU President, who also looks forward to the fun learning opportunities that will bloom of the events for students of all backgrounds. “A lot of people see the outside, especially in the black community, because there are a lot of stereotypes,” said Bernard. “Even just with BSU, it’s showing who we really are and what we’re really about, to broadcast that and to celebrate it in a light way.” Halfway through the month and BSU has already produced several successful outcomes. The Late Night Dance Party on the first Friday of the month (Nixon’s favorite event so far) had a turnout of over

90 students gathering for food, games and activities. “It’s something that’s special to me. I love to see students happy and enjoying themselves,” Nixon said. Bernard was also very satisfied with the turnouts for the other events that have happened so far. “One of my favorite discussions was on Tuesday: ‘The Male Experience Growing Up in America,’” said Bernard. “It felt like I was at church.” The depth and impactfulness that the events and discussions carry is not only attributed to the people behind the scenes organizing them, but to also the ones on the panel bringing in their own meaningful insights. Nixon and Bernard both expressed great appreciation that the discussions have allowed for participants to get to know their professors on a more personal level. Dr. Scott Finnie, Director of Africana Studies, was mentioned as an exceptional contributor to the panel discussions.

“We really have great professors at Eastern,” said Bernard. “Just to hear them talk is amazing.” It was also great to gain perspectives from students on the panel, according to Bernard, most especially those of black student athletes, to which she observed “took them off their pedestals” to get to truly know the people behind the uniforms. This week, Nixon and Bernard are looking forward to the “Identity Dialogue,” happening on Wednesday, Feb. 14 from 11 a.m. to noon in Monroe 205, and the “Divine 9 Panel Discussion” happening the next day from 3 to 5 p.m. also in Monroe 205. Nixon said to visit the EWU Africana Studies website for more information on the schedule of events. EWU students of all races, ethnicities and backgrounds have much to anticipate in these next couple weeks of Black History Month. “We’re learning, we’re digging deeper, and we’re learning more about ourselves and our cultures,” said Bernard. •


The Easterner | 11

Feb 14, 2018 | Volume 101, Issue 16

Sports Quick Hits • Football adds 10 more on signing day On Feb. 7, national signing day, EWU football added 10 more athletes to its 2018 recruiting class. Eight players signed national letters of intent, while two have confirmed attendance. The Eagles already added seven signees and a transfer during the early signing period in December. The class ranks No. 1 in the Big Sky by 247sportsc.com, and in the top 10 of the NCAA FCS. • Soccer adds 16 new Eagles On Feb. 7, EWU head soccer coach Chad Bodnar announced the signing of 16 athletes for 2018. This is the largest class Bodnar has had in his five years with the Eagles, and will try mitigate the loss of 10 seniors from this sesaon’s Big Sky championship team.

Photo courtesy of EWU Athletics Senior Jeremy VanAssche at a 2017 meet. VanAssche finished third in the 60 meters in 6.85 seconds at the Husky Classic.

• J.C. Sherritt signs extension with Edmonton Former EWU football linebacker J.C. Sherritt signed a two-year contract extension with the Edmonton Eskimos on Feb. 9. Sherritt appeared in only one game in 2017, recording a fumble before suffering a season-ending injury in the same game. Sherritt was the Canadian Football League defensive player of the year in 2012, and has played in 91 career games in seven season with the Eskimos.

Track finishes strong, awaits conference championships Taylor Newquist Contributor The EWU track and field teams finished their indoor regular season last weekend at the Husky Classic in Seattle. The Eagles had six top-three finishes, led by sophomore jumper Keshun McGee with first place in the long jump at a mark of 24-2 1/2 feet and second place in the triple jump at a mark of 51-9 3/4 feet. “Keshun put together two stellar performances in the long and triple jump that were a joy to watch,” men’s head coach Stan Kerr said. “His athleticism and drive are speaking volumes right now.” EWU senior runner Jeremy VanAssche finished third in the 60 meters with a time of 6.85 seconds, fourth on EWU’s all-time list. “After a lengthy stretch during this indoor season, it was outstanding for Jeremy VanAssche to show why he is a conference champion with today’s sprint final,” said Kerr. The men’s team also had strong performances from junior Parker Bowden, who finished sixth in the 60-meter hurdles, and freshman Reggie Hayden, who placed fourth in the triple jump. Senior runner Leanne Asper finished No. 20 in the 800-meters at a time of 2:11.21 minutes. Asper broke

the EWU record in the event, previously held by Caitlin Prunty at 2:12.48 minutes in 2005. “Leanne Asper gets the performance of the meet for us, women’s head coach Marcia Mecklenburg said. “She is having a great season in the 800 and 400 events.” Senior sprinter Rebecca Tarbert finished third in the 60 meters at 7.57 seconds, putting her at first place in the Big Sky. Freshman athlete Alexis Rolan competed well in multiple events, finishing behind Tarbert by .04 seconds in the 60-meters, and grabbing fifth place. Rolan finished third in the 200-meters at a time of 24.79 seconds, and second place in the long jump at 18-9 1/4 feet. “Rebecca Tarbert won the team battle in the 60 meters,” said Mecklenburg. “It is so exciting to watch Rebecca and Alexis Rolan race. Kudos to Alexis, though for her performance in the 200 and the long jump.” The Eagles will compete next at the Big Sky Conference Indoor Track and Field Championships in Flagstaff, Arizona, Feb. 22-25. “We are heading into taper time as we get ready for the Indoor Big Sky Conference Championships,” said Mecklenburg. “As always, the goal is to head into the championship meet recovered, healthy and ready to compete.” •

Photo courtesy of EWU Athletics Sophomore Keshun McGee jumps during the 2017 outdoor season. McGee placed first in the long jump and second in the triple jump at the Husky Classic.


12 | The Easterner

Volume 101, Issue 16 | Feb 14, 2018

Sports

Bailey Monteith for The Easterner Freshman guard Jack Perry calls out a play against North Dakota on Jan. 2. The Eagles are 12-13 overall and 7-5 in Big Sky Conference play.

Men’s basketball narrowly drops thriller in Moscow Michael Brock Sports Editor It is rare that a rivalry matchup consistently lives up to its lofty billing, however EWU men’s basketball versus Idaho continues to do so. The most recent classic in the clash—a 66-64 home victory for Idaho on Friday, Feb. 9. In the 10 games since the Vandals rejoined the Big Sky Conference in 2014-15, the Eagles are 6–4 against Idaho. The average margin over victory has been 6.2 points per game, with the largest split coming in a 14point EWU win in 2015-16. At Reese Court on Jan. 12, Idaho came back from down 20–6, to beat the Eagles 58–51. This time around, the score was close throughout. The Vandals led 15–11 and 22–19, but EWU ended the half on a 10–4 spurt and led 29–24. Balanced scoring was the theme of the first half; seven players scored for each team, but no one was in double figures. Senior forward Bogdan Bliznyuk scored eight points with eight assists at the intermission, but committed five

turnovers. Idaho senior guard Victor Sanders had seven points and five assists. The back-and-forth nature continued into the second half, as neither team led by more than four after the break. With 14:37 to go, the Eagles held a 39–36 advantage. That’s when Idaho junior forward Nate Sherwood was unleashed. Sherwood scored the next 11 points for the Vandals, giving his team a 48–47 lead. The lead changed a few more times, until the Eagles led 58–57 with 2:46 remaining. Senior guard Perrion Callandret and junior guard Cody Benzel traded three-pointers, and the Eagles clung to a 64–63 lead with 43 seconds to go. Nineteen seconds later, Idaho senior forward Brayon Blake re-took the lead with a turnaround in the lane. With 13 seconds remaining and a one-point deficit, senior forward Sir Washington was fouled going to the basket and missed both free throws. The Eagles intentionally fouled Sanders, who made one of two to put the Vandals up two points. The Eagles didn’t take a timeout, and instead put the ball in their

Bailey Monteith for The Easterner Senior forward Bogdan Bliznyuk shoots a free throw against Walla Walla on Nov. 10. Bliznyuk had 16 points and 13 rebounds in the team’s loss to Idaho on Feb. 9.

senior forwards hands. With six seconds to go, Bliznyuk drove to the basket and got blocked by Blake at the rim. “We came up one play too short,” Legans said following the loss, which featured 20 lead changes, including 13 in the second half. “It was a great game and a lot of fun. It was going back and forth and there were a lot of lead changes and ties. Players on both sides stepped up and made big shots.” Bliznyuk, who missed practice all week with an illness and vomited in the locker room at halftime, still played 39 minutes and put up 16 points, 13 rebounds and three assists in the loss. However, the ailment was clear, as the usually efficient Bliznyuk shot 6-for-18 from the field and had five turnovers. Benzel finished the game with 15 points (5-for-8 from downtown). Sophomore forward Mason Peatling added eight points and nine rebounds. The Eagles got 20 points off the bench, including six points each by senior guard Sir Washington and redshirt freshman guard Jacob Davison. Senior forward Benas Griciunas had six

points, two rebounds and a block off the bench in the first half, prompting Legans to start the graduate-transfer over Peatling after halftime. Griciunas finished with eight points. For Idaho, Nate Sherwood poured in 23 points, including 19 in the second half. Blake had 15 points and eight rebounds, while Sanders added eight points (3-for-13 shooting), eight rebounds and nine assists. The Vandals had 15 assists to the Eagles’ eight. Both teams had a similar amount of defensive rebounds, however Idaho pulled down 17 offensive rebounds compared to 10 for EWU. That led to 10 second-chance points for the Vandals, including seven in a pivotal stretch to start the second half. “Their offensive rebounds and losing the 50-50 balls hurt us,” said Legans. “When you lose those battles, it shows that Idaho came in a lot tougher than us. When we had it, our effort and energy kept us in the game.” Next up for EWU (7–5 Big Sky, fourth place) is a home stand against first place Montana on Feb. 15 and sixth place Montana State on Feb. 17. The Eagles are 7–1 at Reese Court and 4–11 on the road. •


The Easterner | 13

Feb 14, 2018 | Volume 101, Issue 16

Sports

Mckenzie Ford for The Easterner Senior forward Delaney Hodgins (left) and freshman guard Brittany Klaman (right) size up the Sacramento State defense on Feb. 1. The Eagles are 12-12 overall and 7-5 in conference.

Women’s basketball falls to Idaho on the road Jeremy Burnham Reporter The EWU women’s basketball team dropped its third straight road game on Feb. 9, falling to Idaho 85–70. The Eagles are now 1–4 on the road in Big Sky Conference play. The Eagles took a quick lead when Brittany Klaman opened the game with a three-pointer. But the Vandals answered right back, and held the lead for the rest of the game. Poor shooting prevented the Eagles from ever posing a real threat of winning. “We didn’t shoot the ball well,” head coach Wendy Schuller said, following the loss. “We got good looks, but we couldn’t make baskets. When the other team is making three-pointers and you can’t match them, you are going to be in trouble, and that was tough for us.” After Klaman’s opening three, the Eagles missed their next 11 shots in a row and UI went on a 13-0 run. The Eagles finished the first quarter shooting just 22.8 percent from the field, while allowing UI to shoot 58.8 percent.

The Vandals were able to keep control in the second quarter, and went into halftime with a 47-32 lead. EWU senior forward, and recently crowned all-time leading scorer, Delaney Hodgins struggled to find her shot in the first half. She finished the quarter 2-for-8 from the floor, with eight points. Junior guard Kapri Morrow had five points on 2-for-10 shooting. Junior guard Mikayla Ferenz had 18 points in the first half for the Vandals. The third quarter was the best of the game for the Eagles, who used a 9–0 run to close the gap to 58–50 with two minutes remaining in the frame. Morrow heated up, and had nine points in the quarter. The Eagles kept pushing, and came within six points, 60–54. However, that’s the closest they would get. The quarter ended with the Vandals leading 62-54. UI recovered in the fourth quarter and built the lead back to 13 in the first three minutes of the final frame. Morrow cooled back off in the fourth, scoring three points. Morrow finished with 18 points for the

Eagles and Hodgins had 15. Ferenz had 29 points for the Vandals. Senior forward Geri McCorkell contributed 26 points and seven rebounds while senior center Nejra Solo added 12 points and 11 rebounds. The Eagles, who are on a five-game home winning streak, continue to struggle on the road. “Playing on the road in the Big Sky is difficult,” said Schuller. “Traditionally, we

Nightly

haven’t played well [in Idaho]. I’m not sure why. I’m glad we’re taking care of business at home, but we have a big road stretch in front of us so we have to put this game behind us as fast as we can.” The Eagles’ road stretch continues on Feb. 15 against Montana, and Feb. 17 against Montana State. They return home to Reese Court on Feb. 22 against Weber State. •

• Weekly • Monthly (509) 235-4058

12 Columbia St. Cheney, WA 99004 Call Us Today to See Our Rates!


14 | The Easterner

Volume 101, Issue 16 | Feb 14, 2018

Sports

Eagle alum Tyler Harvey goes with the flow of extraordinary basketball career After stints in the NBA D-League and Italy, Harvey has started to find his groove in France Written by: Brandon Cline, Editor in Chief Michael Brock, Sports Editor Former EWU men’s basketball star Tyler Harvey is no stranger to transformation. In 2011, Harvey graduated from Bishop Montgomery High School in Torrance, California, growing an absurd 11 inches during his time there. Harvey was an unheralded recruit, partly because of his absence on the AAU circuit. He initially planned to attend NCAA Division III Whitworth University in Spokane, where Jim Hayford was the head coach at the time. When Hayford was hired away by EWU before the 2011-12 season, he promised Harvey a scholarship if he’d join him at EWU as a walk-on. So Harvey walked on, redshirting his first year on campus. As a redshirt freshman the following season, Harvey had scored a total of just 17 points through the first 13 games he had appeared in.

The Easterner Archives Former men’s basketball player Tyler Harvey uses a screen from teammate Bogdan Bliznyuk in 2014-15. Harvey currently plays professionally in France for the Antibes Sharks. Then came the game against Northern Arizona University on Feb. 9, forever changing the trajectory of Harvey’s basketball career. Harvey entered the game for the first time with 3:42 left in the second half, as the Eagles trailed 59-46 and were as good as gone. But then 11 seconds later, Harvey made a layup. And then 21 seconds later he recorded a steal. And then five seconds later he drilled a three-pointer. And the rest was history. EWU would come all the way back to beat the Lumberjacks in overtime, as Harvey finished with 14 points in just 10 minutes of playing time, including going 4–5 from beyond the arc. Harvey saw regular playing time in the last seven games of the season following the NAU game, starting in four of the games. After averaging just 4.8 minutes per game in the first 13 games Harvey played in to start the season, he averaged

29.1 minutes per game in those final eight games, gradually playing more minutes until he played 39 minutes in each of the two final games of the season. “It was his work ethic that put him over the top,” first-year head coach Shantay Legans, who was an assistant when Harvey played, recently told The Easterner. “Everything you’d ask him to do, he’d go above and beyond.” Harvey’s abrupt new role carried over seamlessly to his sophomore season, picking up right where he left off at the end of his redshirt freshman season. He started all 31 games, averaging 21.8 points per game and shooting 43.3 percent from beyond the arc. His 109 three-pointers that year rank fourth-most in a single season in Big Sky history, behind only the 128 he made the following year, Northern Arizona’s Stephen Sir’s 124 in 2006-07, and fellow Eagle Austin McBroom’s 115 in 2015-16.

In his final season at EWU in 2014-15, Harvey capped off a remarkable collegiate career by leading NCAA Division I in scoring, averaging 23.1 points per game. He also led the NCAA in total threepointers made, earned honorable mention All-America honors and was named the Big Sky Conference Tournament MVP. In the conference tournament, he dropped 42 points in the quarterfinal against Idaho, the second-highest singlegame performance in the tournament’s history. He then led EWU past Montana in the championship game, in front of a pro-Montana crowd at the Grizzlies’ home court in Missoula. He scored 18 points in the game, and converted a three-point play with 43 seconds left that sealed the game for good for the Eagles, giving the program just their second-ever NCAA Tournament appearance. Harvey said the win was one of his most memorable experiences at EWU.


15 | The Easterner

Feb 14, 2018

Sports “My time at Eastern was the best,” Harvey recently told The Easterner. “I mean, coming in as a walk-on, a guy who nobody’s really looking at to do anything, to do what I was able to do was just amazing.” Harvey parlayed his unexpected record-breaking career at EWU into leaving school a year early for the 2015 NBA Draft. After being in a league of his own the past two seasons, Harvey was now just a player trying to prove himself all over again. But due to his experience at EWU, he felt like he was prepared for the challenge of playing professionally. “I think it prepared me a lot,” said Harvey. “I had a road, you know, going from a guy [who] sat on the bench to playing. And it just prepared me for life and for basketball. It’s not always going to be easy, playing basketball. It’s fun, but you gotta go through the tough times to enjoy the good times.” During the three-month draft process, Harvey worked out for roughly half of the teams in the NBA and was on the road for two straight months, trying to impress potential employers. “It was definitely a long, rigorous process but I got to see the world a little bit,” said Harvey about the draft process. “I got to go to different states, I wouldn’t change it. It was definitely fun to work out for that many teams and that that many teams wanted me to work out for them, it was humbling.” Harvey was surprised when his name was called with the 51st pick of the draft, selected by the Orlando Magic. The Magic were one of the 14 or 15 teams that he hadn’t worked out for, leading him to believe he wasn’t even on the team’s radar. He was the first EWU alum to be selected in the NBA Draft since Rodney Stuckey was selected 15th overall by the Detroit Pistons in 2007. Going from college walk-on—where he received no Division I, II or III scholarship offers—to NBA draftee, Harvey’s transformation from afterthought to aweinspiring is remarkable. After playing five games in the 2015 Summer League for the Magic, Harvey spent his first year playing professional basketball in Erie, Pennsylvania, situated along Lake Erie and 1,090 miles north of Orlando, Florida. Like several other second-round draft picks, Harvey was assigned to his team’s D-League affiliate, the Magic’s being the Erie Bayhawks.

Sports

In the 2015-16 season, Harvey started in 13 of the 37 games he played in for the Bayhawks, averaging 11.9 points per game and 26.6 minutes per game, both sharply down from his last two years at EWU. His role had changed from “the guy” to “a guy” on the basketball court, which Harvey says took some time to adjust to. “Obviously you’re not going to play 40 minutes a game,” said Harvey about the transition. “I mean, I was playing 40 minutes a game in college, which was great. But you’ve got to adapt to your teammates and your role. That goes with discovering what your team needs, or what your coach wants out of you. It was just a lot of learning and trying to be coachable. It could be tough […] but I just tried to stick true to who I am and try to find my role within that.” Far and away the biggest highlight of Harvey’s one season with the Bayhawks was on Dec. 29, 2015, as the Bayhawks faced the Texas Legends. With 7:45 left in the fourth quarter and his team trailing by 21 points, Harvey led his team back nearly single-handedly to win the game 125-120 in double overtime. He hit nine threepointers—including a span where he made six in a row—in the fourth quarter and two overtime periods, finishing the game with 29 points despite opening the game 1-8 from beyond the arc. “Everyone thought the game was pretty much over, so there was really nothing to lose,” said Harvey. “I don’t really know, something must’ve just [f lipped]. I just fell into a zone. You see a couple go in and think, ‘oh okay, maybe something could happen.’” Harvey again played in the Summer League for the Magic. Then on July 21, 2016, Harvey signed a one-year deal with Manital Torino, a team in Italy’s top professional league based in the industrial city of Turin. In 29 games for the club in 201617, Harvey averaged 11.3 points, 2.1 rebounds, 1.8 assists and 1.2 steals in 27 minutes per game, connecting on 36.7 percent of his three-pointers. He scored in double digits 15 times, and over 20 points on three occasions, including putting up 27 points and 6 rebounds against Caserta on Feb. 9, 2017. After leading the NCA A in scoring as a junior and playing in the D-League the following year, Harvey had to adjust

“Harvey” continued on page 16

Counseling & Psychological Services

How Do I Feel?

Get mobile friendly help! You can learn stress management, mindfulness skills, problem-solving, relationship skills and strategies to avoid dwelling on your concerns and to develop more helpful thinking patterns.

How to sign up

1. Visit selfhelp.taoconnect.org 2. Sign up using your EWU email 3. Follow directions & begin using TAO self-help

Counseling & Psychological Services (CAPS) 225 Martin Hall | 509.359.2366


16 | The Easterner

Volume 101, Issue 16 | Feb 14, 2018

Sports “Harvey” continued from page 15

his game yet again, this time to match the style of play overseas. “It’s not a lot of isolation ball here,” said Harvey. “A lot of U.S. guys are used to playing isolation, but here they emphasize team ball and getting the best shot [...] When you’re back in the U.S. you’re trying to just get a bucket however way you can.” Following the season in Italy, Harvey played three more Summer League games for the Magic, who still held his draft rights at that point. On August 16, 2017, Harvey signed a one-year deal with the Antibes Sharks of the top French league. Antibes is located in the middle of the French Riviera, halfway between Cannes and Nice. Through 18 games, Harvey has averaged 10.4 points,

1.8 rebounds, 0.9 assists and 0.9 steals in 20.4 minutes per game for Antibes. His three-point percentage is up to 42.3 percent (on 5.4 attempts) from 36.7 percent a season ago. The Sharks are currently 8–10, with 14 regular season games remaining. As the season continues, Harvey is playing and scoring at a more consistent level. In the team’s first eight games (3–5), Harvey averaged 9.9 points, 1.5 rebounds and 0.8 assists in 18.5 minutes. Harvey’s playing time has bumped up to 21.9 minutes per contest in the last 10 games, and his overall numbers have seen a spike as well, to 10.9 points, 2.0 rebounds and 1.1 assists per game. “It’s just about finding your rhythm,” said Harvey. “Basketball’s all about rhythm, and I think as the year goes on I’m progressing [...] My coach has helped me tremendously

with that, and I’m just starting to really come into my own a little bit and hopefully we can get some more wins.” Diving deeper, Harvey’s overall shooting percentage in the first eight games was 34.2 percent. In the last 10, he’s knocking down 45.2 percent of his total attempts. Harvey’s three-point accuracy has seen a rise from 30.2 percent in the first eight, to a staggering 50 percent in the last 10. “The adjustment period for me took a little time,” said Harvey. “My first couple years out [of college, I was] trying to discover what my role was going to be, trying to find my niche. But this year I really feel like I’ve found who I am as a player.” •

The Easterner Archives Basketball alum Tyler Harvey drives past a University of Washington defender in 2013-14. After leading the NCAA in scoring as a junior, Harvey was drafted 51st by the Orlando Magic in 2015.

The Easterner: Volume 101, Issue 16  
The Easterner: Volume 101, Issue 16  
Advertisement